<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:variable name="strTitle">Page Title</xsl:variable>
<xsl:variable name="strDescription">The page description goes here.</xsl:variable>
	
<xsl:variable name="strAttribute">Attribute</xsl:variable>
<xsl:variable name="strValue">Value</xsl:variable>
<xsl:variable name="strPrint">Print</xsl:variable>
<xsl:variable name="strRefresh">Refresh</xsl:variable>

<!-- pageSetup -->
<xsl:template name="pageSetup">
<xsl:param name="pageTitle" />
<xsl:param name="pageDescription" />
<xsl:param name="save" />
<xsl:param name="clear" />
<table border="0" cellpadding="0" cellspacing="0">
		<tr style="height: 20px">
			<td><img src="/ff1.5/images/blank.gif" /></td>
		</tr>
	</table>
	<table border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td style="width: 15px" />
			<td><span class="data-area-page-title"><xsl:value-of select="$pageTitle" /></span></td>
			<td style="width: 15px" />
		</tr>
	</table>
	<div align="right">
		<table cellspacing="0" cellpadding="0" border="0">
			<tr>
				<td width="15">&#160;</td>
				<xsl:call-template name="displayButton">
					<xsl:with-param name="href">javascript:window.print();</xsl:with-param>
					<xsl:with-param name="displayName"><xsl:value-of select="$strPrint" /></xsl:with-param>
				</xsl:call-template>
				<xsl:call-template name="displayButton">
					<xsl:with-param name="href">javascript:document.location.reload(true)</xsl:with-param>
					<xsl:with-param name="displayName"><xsl:value-of select="$strRefresh" /></xsl:with-param>
				</xsl:call-template>
				<td width="15">&#160;</td>
			</tr>
		</table>
	</div>
	<br/>
	<table cellspacing="0" cellpadding="0" border="0">
		<tr><td width="15"></td>
			<td><span class="data-area-prompt-text"><xsl:value-of select="$pageDescription" /></span></td>
			<td width="15"></td>
		</tr>
	</table><br />
</xsl:template>

<!-- displayAttributeValueTable -->
<xsl:template name="displayAttributeValueTable">
<xsl:param name="id" />
<table width="100%" cellpadding="0" cellspacing="0" border="0">
<xsl:if test="$id != ''">
<xsl:attribute name="id"><xsl:value-of select="$id" /></xsl:attribute>
<xsl:attribute name="name"><xsl:value-of select="$id" /></xsl:attribute>
</xsl:if>
	<tr onmousedown="return false;" ondrag="window.event.returnValue=false">
		<td width="15"><img alt="" src="/ff1.5/images/blank.gif" height="1" width="15" /></td>
		<td width="10" height="10"><img alt="" height="10" width="10" src="/ff1.5/images/tl.gif" /></td>
		<td height="10" class="data-area-canvas"><img alt="" width="1" height="1" src="/ff1.5/images/blank.gif" /></td>
		<td width="10" height="10"><img alt="" height="10" width="10" src="/ff1.5/images/tr.gif" /></td>
		<td width="15"><img alt="" src="/ff1.5/images/blank.gif" height="1" width="15" /></td>
	</tr>
	<tr>
		<td style="width: 15px" />
		<td style="height: 10px" class="data-area-canvas"><img src="" style="width: 1px; height: 1px" /></td>
		<td class="data-area-canvas">
			<table width="100%" cellpadding="0" cellspacing="0" border="0">
				<tr><th class="data-area-header" valign="middle" align="left" style="font-weight: bold"><xsl:value-of select="$strAttribute" /></th>
				<td class="data-area-canvas" style="height: 1px"><img src="/ff1.5/images/blank.gif" /></td>
				<th class="data-area-header" valign="middle" align="left" style="font-weight: bold"><xsl:value-of select="$strValue" /></th></tr>
				<tr>
					<td class="data-area-separator" style="height: 1px" bgcolor="black"><img src="" style="width: 1px; height: 1px" /></td>
					<td class="data-area-separator" style="height: 1px" bgcolor="black"><img src="" style="width: 1px; height: 1px" /></td>
					<td class="data-area-separator" style="height: 1px" bgcolor="black"><img src="" style="width: 1px; height: 1px" /></td>
				</tr>
				<xsl:for-each select="property">
				<xsl:choose>
					<!-- check for odd node -->
					<xsl:when test="position() mod 2">
						<tr>
							<td class="data-area-canvas-odd" valign="middle" align="">
								<xsl:value-of select="@name" />
							</td>
							<td class="data-area-canvas-odd" style="height: 1px"><img src="/ff1.5/images/blank.gif" /></td>
							<td class="data-area-canvas-odd" valign="middle" align="">
								<xsl:call-template name="displayWidget">
									<xsl:with-param name="name"><xsl:value-of select="@name" /></xsl:with-param>
									<xsl:with-param name="value"><xsl:value-of select="value" /></xsl:with-param>
									<xsl:with-param name="type"><xsl:value-of select="@type" /></xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
					</xsl:when>
					<xsl:otherwise>
						<tr>
							<td class="data-area-canvas" valign="middle" align="">
								<xsl:value-of select="@name" />
							</td>
							<td class="data-area-canvas" style="height: 1px"><img src="/ff1.5/images/blank.gif" /></td>
							<td class="data-area-canvas" valign="middle" align="">
								<xsl:call-template name="displayWidget">
									<xsl:with-param name="name"><xsl:value-of select="@name" /></xsl:with-param>
									<xsl:with-param name="value"><xsl:value-of select="value" /></xsl:with-param>
									<xsl:with-param name="type"><xsl:value-of select="@type" /></xsl:with-param>
								</xsl:call-template>
							</td>
						</tr>
					</xsl:otherwise>
				</xsl:choose>				
				</xsl:for-each>				
			</table>
		</td>
			<td height="10" class="data-area-canvas"><img alt="" width="1" height="1" src="/ff1.5/images/blank.gif" /></td>
			<td width="15"><img alt="" src="/ff1.5/images/blank.gif" height="1" width="15" /></td>
		</tr>
		<tr onmousedown="return false;" ondrag="window.event.returnValue=false">
		<td width="15"><img alt="" src="/ff1.5/images/blank.gif" height="1" width="15" /></td>
		<td height="10" width="10"><img alt="" height="10" width="10" src="/ff1.5/images/bl.gif" /></td>
		<td height="10" class="data-area-canvas"><img alt="" width="1" height="1" src="/ff1.5/images/blank.gif" /></td>
		<td height="10" width="10"><img alt="" height="10" width="10" src="/ff1.5/images/br.gif" /></td>
		<td width="10"><img alt="" src="/ff1.5/images/blank.gif" height="1" width="15" /></td>
		</tr>
	</table>
	<br />
</xsl:template>

<!-- display Widget -->
<xsl:template name="displayWidget">
<xsl:param name="name" />
<xsl:param name="value" />
<xsl:param name="type" />
<xsl:choose>
	<xsl:when test="$type = 'boolean'">
	<input class="data-area" type="checkbox" name="$name" id="$name">
		<xsl:attribute name="value"><xsl:value-of select="$value" /></xsl:attribute>
		<xsl:if test="$value = '1'">
			<xsl:attribute name="checked">checked</xsl:attribute>
		</xsl:if>
	</input>
	</xsl:when>
	<xsl:when test="$type = 'text'">
	<input type="textbox" maxlength="15" size="15" id="$name" name="$name">
		<xsl:attribute name="value"><xsl:value-of select="$value" /></xsl:attribute>
	</input>
	</xsl:when>
	<xsl:when test="$type = 'password'">
	<input class="data-area" type="password" value="" name="$name" id="$name" size="20" maxlength="20"/>
	</xsl:when>
	<xsl:otherwise>
	<xsl:value-of select="$value" />
	</xsl:otherwise>
</xsl:choose>
</xsl:template>

<!-- Display Href -->
	<xsl:template name="displayHref">
		<xsl:param name="href" />
		<xsl:param name="onclick" />
		<xsl:param name="onfocus" />
		<xsl:param name="displayName" />
		<xsl:param name="id" />
		<a onmousedown="return false;" ondrag="window.event.returnValue=false">
				<xsl:if test="$id != ''">
					<xsl:attribute name="id"><xsl:value-of select="$id" /></xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="$id" /></xsl:attribute>
				</xsl:if>	
				<xsl:if test="$href != ''">
				<xsl:attribute name="href"><xsl:value-of select="$href" /></xsl:attribute>
				</xsl:if>
				<xsl:if test="$onclick != ''">
				<xsl:attribute name="onclick"><xsl:value-of select="$onclick" /></xsl:attribute>
				</xsl:if>
				<xsl:if test="$onfocus != ''">
				<xsl:attribute name="onfocus"><xsl:value-of select="$onfocus" /></xsl:attribute>
				</xsl:if>
				<xsl:value-of select="$displayName" />
		</a>
	</xsl:template>

	<!-- Display Button -->
	<xsl:template name="displayButton">
		<xsl:param name="href" />
		<xsl:param name="onclick" />
		<xsl:param name="onfocus" />
		<xsl:param name="displayName" />
		<xsl:param name="id" />
		<xsl:param name="spanId" />
		<td height="25" width="14"><img onmousedown="return false;" ondrag="window.event.returnValue=false" alt="" height="25" width="14" src="/ff1.5/images/lbutton.gif"/></td>
		<td valign="middle" align="center" class="data-area-button">
		<xsl:choose>
			<xsl:when test="$spanId != ''">
			<span>
				<xsl:attribute name="id"><xsl:value-of select="$spanId" /></xsl:attribute>
				<xsl:call-template name="displayHref">
					<xsl:with-param name="href"><xsl:value-of select="$href" /></xsl:with-param>
					<xsl:with-param name="onclick"><xsl:value-of select="$onclick" /></xsl:with-param>
					<xsl:with-param name="onfocus"><xsl:value-of select="$onfocus" /></xsl:with-param>
					<xsl:with-param name="displayName"><xsl:value-of select="$displayName" /></xsl:with-param>
					<xsl:with-param name="id"><xsl:value-of select="$id" /></xsl:with-param>
				</xsl:call-template>
			</span>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="displayHref">
					<xsl:with-param name="href"><xsl:value-of select="$href" /></xsl:with-param>
					<xsl:with-param name="onclick"><xsl:value-of select="$onclick" /></xsl:with-param>
					<xsl:with-param name="onfocus"><xsl:value-of select="$onfocus" /></xsl:with-param>
					<xsl:with-param name="displayName"><xsl:value-of select="$displayName" /></xsl:with-param>
					<xsl:with-param name="id"><xsl:value-of select="$id" /></xsl:with-param>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
		</td>
		<td height="25" width="14"><img onmousedown="return false;" ondrag="window.event.returnValue=false" alt="" height="25" width="14" src="/ff1.5/images/rbutton.gif"/></td>
	</xsl:template>	

<xsl:template match="object">
<html>
<head>
<title></title>
<link rel="stylesheet" type="text/css" href="/ff1.5/stylesheet.css" />
</head>
<body class="data-area"><a name="top" id="top"></a>
	<xsl:call-template name="pageSetup">
		<xsl:with-param name="pageTitle"><xsl:value-of select="$strTitle" /></xsl:with-param>
		<xsl:with-param name="pageDescription"><xsl:value-of select="$strDescription" /></xsl:with-param>
	</xsl:call-template>
	
	<form action="" name="dataarea" id="dataarea" method="post">
	
	<xsl:call-template name="displayAttributeValueTable">
	</xsl:call-template>
		
	</form>	
</body>
</html>
</xsl:template>
</xsl:stylesheet>
